QGIS Application - Bug report #4485
Item scale jumps randomly when panning around the map content on the composer.
2011-11-02 09:17 AM - Thaddeus -

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 14411
Description

I've come across this a few times and it disappears by itself after using the QGS file for a while: | think this time | captured this strange
nuisance.

On the attached QGS file, | can consistently see this happening when opening on 1.7 and 1.7.1.

1) Composer window is visible.

2) Select Item tag.

3)
)

4) pan around and watch Scale entry.

Select "Move item content" tool.

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#2 - 2012-04-16 06:31 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 11:56 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0
#4 - 2014-06-01 03:21 AM - Nyall Dawson

- Status changed from Open to Closed
- Resolution set to invalid

This is correct behaviour - the map is using the WGS84 coordinate system, so the scale depends on the latitude. Moving the map content will correctly
result in the scale changing.

Files

TestComposerScaleJumping.zip 109 KB 2011-11-02 Thaddeus -
